<?xml version="1.0" encoding="UTF-8"?>
    <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
        <modelVersion>4.0.0</modelVersion>
        <groupId>com.mycompany</groupId>
        <artifactId>ArtificialAutism</artifactId>
        <version>1.0</version>
        <packaging>jar</packaging>
        <dependencies>
            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-dbcp2</artifactId>
                <version>2.5.0</version>
                <type>jar</type>
            </dependency>
            <dependency>
                <groupId>mysql</groupId>
                <artifactId>mysql-connector-java</artifactId>
                <version>8.0.13</version>
            </dependency>
            <dependency>
                <groupId>com.google.guava</groupId>
                <artifactId>guava</artifactId>
                <version>26.0-jre</version>
            </dependency>
            <dependency>
                <groupId>com.github.mpkorstanje</groupId>
                <artifactId>simmetrics-core</artifactId>
                <version>4.1.1</version>
            </dependency>
            <dependency>
                <groupId>ws4j</groupId>
                <artifactId>ws4j</artifactId>
                <version>1.0.1</version>
            </dependency>
            <dependency>
                <groupId>StanfordParser</groupId>
                <artifactId>StanfordParser</artifactId>
                <version>1.0</version>
            </dependency>
            <dependency>
                <groupId>StanfordParserModel</groupId>
                <artifactId>StanfordParserModel</artifactId>
                <version>1.0</version>
            </dependency>
            <dependency>
                <groupId>srParser</groupId>
                <artifactId>srParser</artifactId>
                <version>1</version>
            </dependency>
                <dependency>
                        <groupId>ejml</groupId>
                        <artifactId>ejml</artifactId>
                        <version>0.2.3</version>
                        <type>jar</type>
                </dependency>
                <dependency>
                        <groupId>jmweAnno</groupId>
                        <artifactId>jmweAnno</artifactId>
                        <version>1.0</version>
                        <type>jar</type>
                </dependency>
                <dependency>
                        <groupId>edu.mit.jmwe</groupId>
                        <artifactId>edu.mit.jmwe</artifactId>
                        <version>1.0.2</version>
                        <type>jar</type>
                </dependency>
                <dependency>
                        <groupId>CoreNLP</groupId>
                        <artifactId>CoreNLP</artifactId>
                        <version>1.0</version>
                        <type>jar</type>
                </dependency>
                <dependency>
                        <groupId>org.apache.lucene</groupId>
                        <artifactId>lucene-analyzers-common</artifactId>
                        <version>7.2.0</version>
                        <type>jar</type>
                </dependency>
                <dependency>
                        <groupId>CorenlpModels</groupId>
                        <artifactId>CorenlpModels</artifactId>
                        <version>1.0</version>
                </dependency>
                <dependency>
    <groupId>com.discord4j</groupId>
    <artifactId>discord4j-core</artifactId>
    <version>3.1.1</version>
  </dependency>
        </dependencies>
        <properties>
            <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
            <maven.compiler.source>1.8</maven.compiler.source>
            <maven.compiler.target>1.8</maven.compiler.target>
            <mainClass>PresentationLayer.DiscordHandler</mainClass>
        </properties>
        <build>
            <plugins>
                <plugin>
                    <artifactId>maven-dependency-plugin</artifactId>
                    <executions>
                        <execution>
                            <phase>install</phase>
                            <goals>
                                <goal>copy-dependencies</goal>
                            </goals>
                            <configuration>
                                <outputDirectory>${project.build.directory}/lib</outputDirectory>
                            </configuration>
                        </execution>
                    </executions>
                </plugin>
                <plugin>
                    <artifactId>maven-jar-plugin</artifactId>
                    <configuration>
                        <archive>
                            <manifest>
                                <addClasspath>true</addClasspath>
                                <classpathPrefix>lib/</classpathPrefix>
                                <mainClass>${mainClass}</mainClass>
                            </manifest>
                        </archive>
                    </configuration>
                </plugin>
            </plugins>
        </build>
    </project>